### Method

# Gdk ContentProvider get_value

#### Declaration [src]

    gboolean
    gdk_content_provider_get_value (
      GdkContentProvider* provider,
      GValue* value,
      GError** error
    )

#### Description [src]

Gets the contents of `provider` stored in `value`.

The `value` will have been initialized to the `GType` the value should be provided in. This given `GType` does not need to be listed in the formats returned by gdk_content_provider_ref_formats(). However, if the given `GType` is not supported, this operation can fail and `G_IO_ERROR_NOT_SUPPORTED` will be reported.

#### Parameters

`value` | `GValue*`
| The `GValue` to fill.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the value was set successfully. Otherwise `error` will be set to describe the failure.